/******************** (C) COPYRIGHT 2010 STMicroelectronics ********************
* File Name          : main.c
* Author             : MCD Application Team
* Version            : V3.1.1
* Date               : 04/07/2010
* Description        : Virtual Com Port Demo main file
********************************************************************************
* THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
* AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
* INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
* CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
* INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

/* Includes ------------------------------------------------------------------*/
#include "stm32f10x.h"
#include "usb_lib.h"
#include "usb_desc.h"
#include "hw_config.h"
#include "usb_pwr.h"


/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Extern variables ----------------------------------------------------------*/
extern __IO uint32_t count_out;
extern uint8_t buffer_out[VIRTUAL_COM_PORT_DATA_SIZE];

//void PinInit(int pin)
//{
//  GPIO_InitTypeDef  GPIO_InitStructure;
//  
//
//   /* Configure the GPIO_LED pin */
//   GPIO_InitStructure.GPIO_Pin = pin;
//  
//   GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
//   GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
//   GPIO_Init(GPIOC, &GPIO_InitStructure);
//}

/*******************************************************************************
* Function Name  : main.
* Description    : Main routine.
* Input          : None.
* Output         : None.
* Return         : None.
*******************************************************************************/
  uint8_t buffer[128];
  uint8_t SendBuffer[128];

int main(void)
{
  
  Set_System();
  Set_USBClock();
  USB_Interrupts_Config();
  USB_Init();

  
  int bufferPos =0;
  while (1)
  {
    if ((count_out != 0) && (bDeviceState == CONFIGURED))
    {
      for(int i = 0; i < count_out;i++)
      {
        buffer[bufferPos] = buffer_out[i];

        if( (bufferPos>126) || (buffer_out[i] == 0x0d))
        {
          //Reverse Buffer
          for(int j = 0; j <= bufferPos; j++) SendBuffer[j] = buffer[bufferPos-j];
          
          SendBuffer[bufferPos+1] = '\n';

          /* Write the data to the USB endpoint */
          USB_SIL_Write(EP1_IN, SendBuffer, bufferPos+2);
          SetEPTxValid(ENDP1);;

          bufferPos =0;
          break;

        }
        bufferPos++;

      }
      SetEPRxValid(ENDP3);
      count_out = 0;

    }
  }
}

#ifdef USE_FULL_ASSERT
/*******************************************************************************
* Function Name  : assert_failed
* Description    : Reports the name of the source file and the source line number
*                  where the assert_param error has occurred.
* Input          : - file: pointer to the source file name
*                  - line: assert_param error line source number
* Output         : None
* Return         : None
*******************************************************************************/
void assert_failed(uint8_t* file, uint32_t line)
{
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {}
}
#endif

/******************* (C) COPYRIGHT 2010 STMicroelectronics *****END OF FILE****/
